# Events

Events are an important concept and are used in [webooks](/api/webhooks.md) and the [API](/api/endpoints/event.md).

Learn more about events and managing them within your account:

{% content-ref url="/spaces/kK0z6zWWTnGhKH0ukjSP/pages/MtggX3t55b2BwW9thVOd" %}
[Events](https://docs.halosecurity.com/docs/platform/events)
{% endcontent-ref %}

## Standard response format

Events return JSON data with several standard fields, as well as event-specific fields that are detailed in the documentation for that event. These standard fields are the following:

| FIeld     | Type   | Description                        |
| --------- | ------ | ---------------------------------- |
| event\_id | string | ID of the event that was triggered |
| subject   | string | Description of the event           |
| key       | string | Key name of the event              |
| url       | string | URL to access the event ID         |

## Example data

An example of the standard response returned by an Event

```
{
    "event_id": "202201010112004328b91bcffff5941efffffa426450d098f",
    "subject": "Subject",
    "key": "key-name",
    "url": "https://www.halosecurity.com/link?q=user-event&id=202201010112004328b91bcffff5941efffffa426450d098f"
}
```

## Events Types

There are many types of events. Each type has a distinct key that you can use to filter events or configure integrations. The full list is below:

{% content-ref url="/spaces/kK0z6zWWTnGhKH0ukjSP/pages/YGPGI3DWhU93ht22TqCm" %}
[Event Types](https://docs.halosecurity.com/docs/platform/events/event-types)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.halosecurity.com/api/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
